Package oasis.names.tc.saml._2_0.assertion

# Class Subject

java.lang.Object
oasis.names.tc.saml._2_0.assertion.Subject

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class Subject extends Object implements Serializable

Java class for SubjectType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubjectType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <sequence>
               <choice>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}BaseID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}SubjectConfirmation" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}SubjectConfirmation" maxOccurs="unbounded"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Subject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BaseID`
  `getBaseID()`
  Gets the value of the baseID property.
  `EncryptedElementType`
  `getEncryptedID()`
  Gets the value of the encryptedID property.
  `NameIDType`
  `getNameID()`
  Gets the value of the nameID property.
  `List<SubjectConfirmation>`
  `getSubjectConfirmations()`
  Gets the value of the subjectConfirmations property.
  `void`
  `setBaseID(BaseID value)`
  Sets the value of the baseID property.
  `void`
  `setEncryptedID(EncryptedElementType value)`
  Sets the value of the encryptedID property.
  `void`
  `setNameID(NameIDType value)`
  Sets the value of the nameID property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Subject

    public Subject()

- ## Method Details

  - ### getEncryptedID

    public EncryptedElementType getEncryptedID()
    Gets the value of the encryptedID property.
    Returns:
      possible object is `EncryptedElementType`

  - ### setEncryptedID

    public void setEncryptedID(EncryptedElementType value)
    Sets the value of the encryptedID property.
    Parameters:
      `value` - allowed object is `EncryptedElementType`

  - ### getNameID

    public NameIDType getNameID()
    Gets the value of the nameID property.
    Returns:
      possible object is `NameIDType`

  - ### setNameID

    public void setNameID(NameIDType value)
    Sets the value of the nameID property.
    Parameters:
      `value` - allowed object is `NameIDType`

  - ### getBaseID

    public BaseID getBaseID()
    Gets the value of the baseID property.
    Returns:
      possible object is `BaseID`

  - ### setBaseID

    public void setBaseID(BaseID value)
    Sets the value of the baseID property.
    Parameters:
      `value` - allowed object is `BaseID`

  - ### getSubjectConfirmations

    public List<SubjectConfirmation> getSubjectConfirmations()
    Gets the value of the subjectConfirmations property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the subjectConfirmations property.

    For example, to add a new item, do as follows:

         getSubjectConfirmations().add(newItem);

    Objects of the following type(s) are allowed in the list `SubjectConfirmation`

    Returns:
      The value of the subjectConfirmations property.